import * as React from 'react';

var _path, _path2, _g, _path3;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgNorthKorea = function SvgNorthKorea(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 64 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("mask", {
    id: "NorthKorea_svg__a",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React.createElement("path", {
    fill: "#D9D9D9",
    stroke: "#000",
    d: "M8 1.5h48A6.5 6.5 0 0 1 62.5 8v32a6.5 6.5 0 0 1-6.5 6.5H8A6.5 6.5 0 0 1 1.5 40V8A6.5 6.5 0 0 1 8 1.5Z"
  }))), /*#__PURE__*/React.createElement("g", {
    mask: "url(#NorthKorea_svg__a)"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "NorthKorea_svg__b",
    width: 63,
    height: 47,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M.99 1h62.005v46H.998z"
  }))), _g || (_g = /*#__PURE__*/React.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#NorthKorea_svg__b)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    stroke: "#000",
    strokeWidth: 0.938,
    d: "M71.026 46.955H-6.368V1.035h77.394z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E5698",
    d: "M71.026 38.643H-6.368v8.312h77.394z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C60000",
    d: "M71.026 36.72H-6.368V11.27h77.394z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E5698",
    d: "M71.026 1.044H-6.368v8.304h77.394z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M30.376 23.995c0 5.706-4.815 10.334-10.774 10.334S8.83 29.701 8.83 23.995 13.643 13.68 19.602 13.68c5.95 0 10.774 4.62 10.774 10.325z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C40000",
    d: "m16.505 25.307-5.178-3.657 6.45-.018 2.062-5.967 1.916 5.94 6.45-.036-5.26 3.702 1.935 5.94-5.178-3.657-5.268 3.71z"
  })))), _path3 || (_path3 = /*#__PURE__*/React.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M56 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h48a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })));
};

export { SvgNorthKorea as ReactComponent };
